Sistema operativo Ubuntu 14.04 CITIUS

Instalación, mantemento e soporte técnico dun sistema operativo Ubuntu 14.04 modificado polo CITIUS.

Pode solicitarse a instalación do sistema en calquera equipo conectado á rede de datos do centro a través do formulario de incidencias.

Matlab e Maple

Matlab e Maple teñen un instalador propio. Para instalalos, basta con buscar “Instalación de Matlab” ou “Instalación de Maple” no menú de programas. Ou, alternativamente, executar un dos seguintes comandos: install-matlab_R2012a.sh, install-matlab_R2011a.sh, install-maple16.sh, install-maple17.sh.

Software dispoñible en repositorios

Primeiro, busca se o software que desexas está en repositorios. A forma máis fiable é mediante liña de comandos:

apt-cache search programa

Aparecerá unha lista de paquetes cunha descrición curta. Se desexas unha descrición máis detallada dalgún dos paquetes, podes escribir:

apt-cache show nome-do-paquete

Para instalar un paquete, debes empregar o seguinte comando:

aptdcon -i nome-do-paquete

Se desexas instalar varios paquetes a un tempo, debes entrecomillalos:

aptdcon -i "nome-dun-paquete nome-doutro-paquete"

Outras opcións interesantes de aptdcon son:

  • -c: Actualiza a caché de paquetes dispoñibles
  • -u nome-do-paquete: Actualiza un paquete
  • --safe-upgrade: Actualiza todos os paquetes que se poden actualizar
  • -r nome-do-paquete: Elimina un paquete

Outro software

Se un software non está nos repositorios, pero xa se atopa nalgún repositorio compatible, ben nos propios repositios de Ubuntu ou nalgún repositorio de terceiros, podemos engadilo ós nosos repositorios para que estean dispoñibles para todo o mundo. Nese caso, avísanos mediante o formulario de incidencias.

Tamén podes compilar e instalar dende código fonte os programas ti mesmo, sempre e cando poñas como prefix un directorio no que poidas escribir, coma en /home/local/nome.de.usuario. Normalmente, os programas permiten configurar un prefix de instalación persoalizado. Consulta a documentación do programa.

Quero actualizar a Ubuntu 12.04 á versión 14.04

Avisa no formulario de incidencias. Indica a hora e día no que desexas que se faga a actualización. Non perderás nada do home (nin local nin remoto), pero si perderás as personalizacións específicas que poida haber no teu equipo na partición de sistema, e máis as tarefas de cron se as tiveses.

Establecer o idioma da sesión

En Ubuntu 14.04 pódese establecer o idioma da sesión dende a ferramenta de «Soporte de idiomas». Podes atopala no menú Ubuntu. Para establecer un idioma por defecto, arrastra e solta o idioma na listaxe de idiomas instalados. Só están dispoñibles galego, castelán e inglés e non é posible instalar novos idiomas.

Tamén se pode establecer o formato de datas e números na pestana «Opcións rexionais» desa mesma ferramenta.

Empathy non soporta as contas de XMPP/Jabber

Debes instalar o paquete account-plugin-jabber mediante o comando aptdcon -i account-plugin-jabber.

Podo usar outros contornos ademáis de Unity?

Si, podes instalar máis contornos a través do Centro de Software de Ubuntu ou con aptdcon. Están dispoñibles os seguintes contornos:

  • GNOME Clásico
    • Instala o paquete gnome-session-flashback.
  • KDE
    • Instala o paquete escritorio-kde-minimo se só desexas un escritorio moi básico.
    • Instala o paquete escritorio-kde-basico se ademais queres aplicacións básicas de KDE.
    • Instala o paquete escritorio-kde-completo se ademais queres instalar todas as aplicacións de KDE dispoñibles (coidado, instala moitas aplicacións).
  • LXDE
    • Instala o paquete lxde
  • I3-WM
    • Instala os paquetes i3-wm, i3status e suckless-tools.
  • XFCE
    • Instala os paquetes xfce4-session, xfce4-panel, shimmer-themes e opcionalmente xfce4-goodies.
    • Se desexas una experiencia máis completa, debes instalar xfce4-whiskermenu-plugin, xfce4-indicator-plugin e gtk-theme-config.

Como podo instalar paquetes de LaTeX adicionais?

Podes instalar calquera paquete de TeXLive dispoñible en CTAN no teu directorio de usuario. Primeiro debes instalar xzdec:

aptdcon -i xzdec

A primeira vez, debes inicializar os directorios de TeXLive no teu usuario:

tlmgr init-usertree

Entón, instala os paquetes desexados. Por exemplo, para instalar pgfgantt:

tlmgr install pgfgantt

Non funciona Flash en Firefox, ou aparece un aviso de seguridade

Primeiro, intenta actualizar manualmente o Flash. Abre unha terminal e pon os seguintes comandos:

 aptdcon -c
aptdcon -u flashplugin-installer

Se o problema persiste, é posible que o repositorio estea desactualizado. Ás veces Firefox marca o plugin de Flash coma inseguro e non hai unha alternativa actualizada, e debes esperar uns días a que apareza. Se despois duns días todo segue igual, avisa por se houbese algún outro problema.

Prefiro as barras de desplazamento tradicionais, podo recuperalas?

Esas barras de desprazamento chámanse Overlay Scrollbars. Para cambialas polas tradicionais basta con eliminar o paquete overlay-scrollbar. Se máis adiante queres volver usalas, podes volver instalar o paquete.

aptdcon -r overlay-scrollbars

Problemas imprimindo documentos PDF

Algúns documentos, tras ser procesados polo lector de documentos evince, non se imprimen correctamente ou deixan a impresora atascada. Unha alternativa é utilizar o comando lp, que envía os documentos á impresora sen procesar. Se non lle pasas opcións, por defecto lp envía o documento á impresora da da túa planta e non imprime a doble cara.

lp -o sides=two-sided-long-edge archivo.pdf # imprime a doble cara
lp -P 12,15,17-20 archivo.pdf # imprime solamente páxinas 12,15 e 17 a 20
lp -o number-up=4 -o fit-to-page -o number-up-layout=rltb archivo.pdf # imprime 4 páxinas por folla, de arriba a abaixo e de esquerda a dereita, escalando para ocupar o máximo posible
lp -d ctprints1  archivo.pdf # Imprime na impresora do semisótano
lpstat -a # ver a lista de impresoras dispoñibles

Unity queda atascado, como podo recuperar o sistema sen reiniciar?

Nalgunhas configuracións, especialmente con pouca memoria de vídeo, Unity (o contorno de fiestras) pode chegar a deixar de responder. Se iso ocorre, basta con tentar executar o comando unity-reload. Podes tentar facelo pulsando Alt+F2. Se non funciona, sae a unha terminal pulsando Control+Alt+F1, fai login e executa o comando dende aí. Unha vez executado, volta á sesión con Alt+F7.

Instalar paquetes de Ruby, Python e R no directorio home

Ruby

O comando é o seguinte:

gem install --user-install nome_paquete

Antes de facelo por vez primeira, precisas instalar ruby1.9.1-dev:

aptdcon -i ruby1.9.1-dev

Ao instalar a primeira xema recibirás un warning porque debes engadir un directorio ó PATH. Isto só debes facelo a primeira vez. Por exemplo:

WARNING:  You don't have /home/remoto/jorge.suarez/.gem/ruby/1.9.1/bin in your PATH,
	  gem executables will not run.

Só tes que poñelo no teu arquivo bashrc con este comando:

echo "export PATH=~/.gem/ruby/1.9.1/bin:$PATH" >> ~/.bashrc

Para que teña efecto na sesión actual, executa o comando entre comiñas, ou executa bash para entrar nunha nova shell, ou volver a entrar na sesión.

Python

A opción recomendada é instalar a distribución Anaconda. Esta distribución instálase nun directorio do usuario e permite ter varias instalacións con diferentes paquetes e distintas versións de cada paquete. No subdirectorio bin podes atopar todos os executables típicos de python, así coma o xestor de paquetes conda.

Alternativamente a Anaconda, podes instalar paquetes no home usando pip.

Primeiro, precisas instalar o paquete python-dev:

aptdcon -i python-dev

Importante, asegúrate de que tes a última versión de pip instalada no home.

pip install --install-option="--user" --upgrade pip

Se recibes un erro sobre urllib3, podes solucionalo actualizando o paquete urllib3 con pip:

pip install --user --upgrade urllib3

Se recibes un erro de permiso denegado, pode que xa teñas instalado e actualizado pip a unha versión recente. Intenta actualizalo con este comando no seu lugar:

pip install --upgrade --user pip

Agora xa podes instalar paquetes.

pip install --user nome_paquete

Se recibes algunha vez un erro de que debes actualizar pip, podes actualizalo co seguinte comando:

pip install --upgrade --user pip

R

Antes de nada, crea un directorio no teu home chamado R:

mkdir ~/R

Lanza R, e dentro executa o comando de instalación de paquetes:

R
install.packages("nome_paquete")

Ao facelo preguntarache se queres facelo en ~/R ao non poder escribir en /usr/local/lib/R. Contesta y. O directorio engadirase ó path de bibliotecas e poderás cargalas con normalidade.

Ao desbloquear a pantalla despois de suspender, solicita dúas veces o contrasinal

Isto ocorre no escritorio por defecto (Ubuntu) é herdar a configuración desde Ubuntu 12.04. Para solucionalo, basta con executar este comando nunha terminal:

dconf reset -f /org/compiz/

Tras pechar sesión e iniciala de novo, o problema debería desaparecer. Só se perden algunhas configuracións avanzadas de escritorio que é pouco probable que tocaras.

Ó iniciar sesión o teclado cambia a inglés automaticamente

Isto é culpa de ibus. Podes desactivar ibus se non vas usalo (se non sabes o que é, non o estás a usar). Para facelo, vai a Preferencias » Soporte de idiomas e no despregable de método de entrada elixe Ningún.

Se precisas ibus, podes solucionar este problema editando a configuración de ibus como se explica aquí.

A sinatura de actas da USC non funciona

Para que a sinatura de actas da USC funcione, debes empregar Firefox e ter instalado e actualizado o Java 8 de Oracle:

aptdcon -i oracle-java8-installer
aptdcon -i oracle-java8-set-default

En Firefox, vai a Ferramentas » Complementos e, na sección Plugins, comproba que teñas activado o Java(TM) Plug-in 11.72.2 ou superior e que teñas desactivado calquera outro complemento de java, incluíndo o Icedtea.

Abre o Oracle Java 8 Plugin Control panel executando o comando ControlPanel e realiza os seguintes pasos:

  1. Borra os arquivos temporais, na primeira pestana, botón Preferencias e logo no novo diálogo, Borrar arquivos….
  2. Engade os seguintes sitios á lista de excepcións na pestana de Seguridade:
    • https://aplicacions.usc.es/
    • https://sec-virtual.usc.es/
    • https://*.usc.es/

Asegúrate de ter instalado o paquete `libnss3`:

aptdcon -i libnss3

Se ó abrir o applet, non se quere abrir co Oracle Java 8 Web Start, senón con outro Java Webstarter distinto, dalle a Outro… e elixe a ruta ao correcto: /usr/lib/jvm/java-8-oracle/bin/javaws.

Tras cargar o applet por primeira vez, poderás recibir un erro de que non pode acceder ao almacén de certificados. Se é así, abre o arquivo ~/.esinatura/mozilla.conf. Se o ficheiro non se crea, aquí tes un ficheiro completo de exemplo que podes usar. Hai que correxir dúas liñas, a que pon library e a que pon nssArgs:

name = NSS
slot = 2
library = /usr/lib/x86_64-linux-gnu/nss/libsoftokn3.so
nssArgs = "configdir='/home/remoto/jorge.suarez/.mozilla/firefox/kek3dogy.default' certPrefix='' keyPrefix='' secmod='secmod.db' flags=readOnly"
  • A que pon library por defecto apunta a /usr/lib/nss/libsoftokn3.so que non existe, e hai que cambialo por /usr/lib/x86_64-linux-gnu/nss/libsoftokn3.so.
  • A que pon nssArgs apunta a un configdir que non existe, hai que corrixir a ruta ó directorio home e ó perfil de Firefox correcto.

Se aínda así segue sen funcionar, activa a Java Console na pestana Advanced do Oracle Java 8 Plugin Control panel, volve a intentalo e envía a saída da consola para que poidamos ver o problema.

O DNI electrónico non funciona

Polo de agora non funciona. No seu lugar, podes solicitar un certificado da FNMT que fai a mesma función pero podes almacenalo no navegador, en lugar de almacenalo no DNI electrónico.

Os profesores (incluíndo doutorandos que teñan que dar clase) poden solicitar a certificación aos xestores do centro da Facultade de Matemáticas:

  • Facultade de Matemáticas: Eduarda González - eduarda.gonzalez@usc.es - 13133